Package io.vertx.rxjava3.micrometer

## Class PrometheusScrapingHandler

- java.lang.Object
- - io.vertx.rxjava3.micrometer.PrometheusScrapingHandler

-     public class PrometheusScrapingHandler
      extends Object

  A Vert.x Web `Route` handler for Prometheus metrics scraping.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PrometheusScrapingHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrometheusScrapingHandler​(PrometheusScrapingHandler delegate)` |
    `PrometheusScrapingHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Handler<RoutingContext>` | `create()` | Creates a Vert.x Web `Route` handler for Prometheus metrics scraping.
    `static Handler<RoutingContext>` | `create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry)` | Creates a Vert.x Web `Route` handler for Prometheus metrics scraping.
    `static Handler<RoutingContext>` | `create​(String registryName)` | Creates a Vert.x Web `Route` handler for Prometheus metrics scraping.
    `boolean` | `equals​(Object o)` |
    `PrometheusScrapingHandler` | `getDelegate()` |
    `int` | `hashCode()` |
    `static PrometheusScrapingHandler` | `newInstance​(PrometheusScrapingHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PrometheusScrapingHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### PrometheusScrapingHandler

          public PrometheusScrapingHandler​(PrometheusScrapingHandler delegate)

    - #### PrometheusScrapingHandler

          public PrometheusScrapingHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PrometheusScrapingHandler getDelegate()

    - #### create

          public static Handler<RoutingContext> create()

      Creates a Vert.x Web `Route` handler for Prometheus metrics scraping. The default backend registry is used.
      Returns:
        a `Route` handler for the default backend registry

    - #### create

          public static Handler<RoutingContext> create​(String registryName)

      Creates a Vert.x Web `Route` handler for Prometheus metrics scraping. The registry specified by `registryName` is used.
      Parameters:
        `registryName` - the backend metrics registry
      Returns:
        a `Route` handler for a specific metrics registry

    - #### create

          public static Handler<RoutingContext> create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry)

      Creates a Vert.x Web `Route` handler for Prometheus metrics scraping. The registry specified by `registry` is used.
      Parameters:
        `registry` - the backend metrics registry
      Returns:
        a `Route` handler for a specific metrics registry

    - #### newInstance

          public static PrometheusScrapingHandler newInstance​(PrometheusScrapingHandler arg)